## irssi-plugin-robustirc 0.5

=== src/core/CMakeLists.txt ===
set(SOURCE
   ${SOURCE}
   ${CMAKE_CURRENT_SOURCE_DIR}/robustirc.c
   ${CMAKE_CURRENT_SOURCE_DIR}/robustio.c)
set(HEADERS
   ${HEADERS}
   ${CMAKE_CURRENT_SOURCE_DIR}/robustirc.h
   ${CMAKE_CURRENT_SOURCE_DIR}/robustio.h)
add_subdirectory("robustsession")
add_library(robustirc_core MODULE ${SOURCE} ${HEADERS})
target_link_libraries(robustirc_core ${DEPS_LIBRARIES} m)
install(TARGETS robustirc_core LIBRARY DESTINATION lib/irssi/modules)

=== debian/changelog ===
irssi-plugin-robustirc (0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 30 May 2015 10:12:15 +0200

irssi-plugin-robustirc (0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 16 May 2015 17:04:32 +0200

irssi-plugin-robustirc (0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 06 May 2015 19:25:01 +0200

irssi-plugin-robustirc (0.2-1) unstable; urgency=medium

  * Initial release (Closes: #783207)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 24 Apr 2015 09:30:16 +0200

=== debian/control ===
Source: irssi-plugin-robustirc
Priority: optional
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-config, libcurl4-openssl-dev, libyajl-dev, libglib2.0-dev, irssi-dev
Standards-Version: 3.9.6
Section: net
Homepage: https://github.com/robustirc/irssi-robustirc
Vcs-Git: git://anonscm.debian.org/collab-maint/irssi-plugin-robustirc.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/irssi-plugin-robustirc.git/

Package: irssi-plugin-robustirc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, irssi
Enhances: irssi
Description: RobustIRC plugin for irssi
 irssi plugin which allows you to connect to a RobustIRC network without having
 to use a bridge.

Package: irssi-plugin-robustirc-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, irssi-plugin-robustirc (= ${binary:Version})
Description: RobustIRC plugin for irssi - debugging symbols
 irssi plugin which allows you to connect to a RobustIRC network without having
 to use a bridge.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_strip:
	dh_strip --dbg-package=irssi-plugin-robustirc-dbg

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/robustirc/irssi-robustirc/tags .*/v?(\d\S*)\.tar\.gz

## irssi-plugin-robustirc 0.6

=== CMakeLists.txt ===
# vim:ts=4:sw=4:et

cmake_minimum_required(VERSION 2.6)

# TODO: get rid of this once we bump the cmake version to ≥ 2.8.2
string(REGEX MATCH "clang" CMAKE_COMPILER_IS_CLANG "${CMAKE_C_COMPILER}")

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_CLANG)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra")
    set(CMAKE_C_FLAGS_ASAN "-fsanitize=address -fno-omit-frame-pointer -g3 -O1")
    set(CMAKE_C_FLAGS_RELEASE "-O2")
    set(CMAKE_C_FLAGS_DEBUG "-g3 -O0")
endif()

set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE}
    CACHE STRING "Choose the type of build: None Debug Release ASan"
    FORCE)

# Required by irssi/src/common.h.
add_definitions("-DUOFF_T_LONG")

find_package(PkgConfig REQUIRED)

pkg_check_modules(DEPS REQUIRED glib-2.0 yajl gio-2.0 libcurl)

include_directories(${DEPS_INCLUDE_DIRS})
link_directories(${DEPS_LIBRARY_DIRS})
add_definitions(${DEPS_CFLAGS_OTHER})

set(IRSSI_PATH "/usr/include/irssi" CACHE PATH "path to irssi include files")
find_path(irssi_INCLUDE_DIR
    NAMES irssi-config.h src/common.h
    PATHS ${IRSSI_PATH} /usr/local/include/irssi
    )

if(NOT irssi_INCLUDE_DIR)
    message(SEND_ERROR "Could not auto find the irssi include files, please run:\n# cmake -DIRSSI_PATH:PATH=/path/to/irssi/includes .")
    return()
endif()

include_directories(src/core)
include_directories(src/core/robustsession)
include_directories(src/fe-common)

include_directories(
    ${irssi_INCLUDE_DIR}
    ${irssi_INCLUDE_DIR}/src
    ${irssi_INCLUDE_DIR}/src/fe-common/core
    ${irssi_INCLUDE_DIR}/src/core
    ${irssi_INCLUDE_DIR}/src/irc/core
)

add_definitions("-std=gnu99")
# TODO: switch to this method for specifying -std once cmake 3.1+ is sufficiently wide-spread
# set(CMAKE_C_STANDARD 99)
# set(CMAKE_C_STANDARD_REQUIRED ON)

add_subdirectory(src/core)
add_subdirectory(src/fe-common)

=== src/fe-common/CMakeLists.txt ===
add_library(fe_robustirc MODULE module-formats.c fe-robustirc.c)
target_link_libraries(fe_robustirc ${DEPS_LIBRARIES} m)
install(TARGETS fe_robustirc LIBRARY DESTINATION lib/irssi/modules)

=== src/core/robustsession/CMakeLists.txt ===
set(SOURCE
   ${SOURCE}
   ${CMAKE_CURRENT_SOURCE_DIR}/robustsession.c
   ${CMAKE_CURRENT_SOURCE_DIR}/robustsession-network.c
   PARENT_SCOPE
)
set(HEADERS
   ${HEADERS}
   ${CMAKE_CURRENT_SOURCE_DIR}/robustsession.h
   ${CMAKE_CURRENT_SOURCE_DIR}/robustsession-network.h
   PARENT_SCOPE
)

=== debian/changelog ===
irssi-plugin-robustirc (0.6-4build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 07:02:01 +0000

irssi-plugin-robustirc (0.6-4) unstable; urgency=medium

  * debian/patches/uint64.diff: add missing % signs which rendered the patch
    entirely broken (closes: #854434)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 20 Feb 2017 08:46:32 +0100

irssi-plugin-robustirc (0.6-3) unstable; urgency=medium

  * debian/patches/uint64.diff: ensure last_id_id and last_id_reply are 64-bit
    (fixes duplicate messages showing up when network connection is
    interrupted) (closes: #854434)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 07 Feb 2017 08:54:49 +0100

irssi-plugin-robustirc (0.6-2) unstable; urgency=medium

  * install README.md as documentation (closes: #849755)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 02 Jan 2017 17:44:42 +0100

irssi-plugin-robustirc (0.6-1) unstable; urgency=medium

  * New upstream version 0.6
  * debian/watch: s/<project>/irssi-robustirc/
  * transition to automatic dbgsym package
  * Install shared libraries into libdir, where newer irssi expects them
  * Use secure Vcs-* URIs
  * debian/copyright: use unique license names
  * bump standards-version to 3.9.8 (no changes necessary)
  * add lintian-override for debian-watch-may-check-gpg-signature
  * add debian/lintian-overrides
  * enable all hardening options

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 06 Nov 2016 20:39:21 +0100

=== debian/control ===
Source: irssi-plugin-robustirc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-config, libcurl4-openssl-dev, libyajl-dev, libglib2.0-dev, irssi-dev
Standards-Version: 3.9.8
Section: net
Homepage: https://github.com/robustirc/irssi-robustirc
Vcs-Git: https://anonscm.debian.org/git/collab-maint/irssi-plugin-robustirc.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/irssi-plugin-robustirc.git/

Package: irssi-plugin-robustirc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, irssi
Enhances: irssi
Description: RobustIRC plugin for irssi
 irssi plugin which allows you to connect to a RobustIRC network without having
 to use a bridge.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_strip:
	# can be dropped after Debian stretch
	dh_strip --ddeb-migration='irssi-plugin-robustirc-dbg (<< 0.6-1~)'

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/irssi-robustirc-$1\.tar\.gz/ \
  https://github.com/robustirc/irssi-robustirc/tags .*/v?(\d\S*)\.tar\.gz
